package org.greenstone.gsdl3.gs3build.metadata;

public class MetadataLabel
{
  String namespace;
  String label;

  public MetadataLabel(String label)
  { int colonAt = label.indexOf(":");
    String namespace;
		
    if (colonAt > 0) {
      this.namespace = label.substring(0, colonAt);
      this.label     = label.substring(colonAt+1);
    }
    else {
      this.namespace = GSDL3Namespace.GSDL3_NAMESPACE_ID;
      this.label = label;
    }
  }

  public String getNamespace()
  { return this.namespace;
  }

  public String getLabel()
  { return this.label;
  }

  public static String getDefaultNamespace()
  { return GSDL3Namespace.GSDL3_NAMESPACE_ID;
  }
}
